package edu.harvard.mgh.purcell.gplink.data;

import java.io.IOException;
//import java.util.GregorianCalendar;

import ch.ethz.ssh2.Connection;
import ch.ethz.ssh2.SCPClient;
import edu.harvard.mgh.purcell.gplink.mainGUI.ErrorDialog;

public class DownloadFile extends Thread {
	String [] remoteFile;
	String localFolder;
	Connection conn;
	boolean ignore;
	
	public DownloadFile(String getMe, String putHere, Connection c){
		super();
		remoteFile = new String [1];
		remoteFile[0] = getMe;
		localFolder = putHere;
		conn = c;
		ignore = false;
	}
	
	public DownloadFile(String [] getMe, String putHere, Connection c){
		super();
		remoteFile = getMe;
		localFolder = putHere;
		conn = c;
		ignore = false;
	}
	
	public DownloadFile(String getMe, String putHere, Connection c, boolean i){
		super();
		remoteFile = new String [1];
		remoteFile[0] = getMe;
		localFolder = putHere;
		conn = c;
		ignore = i;
	}
	
	public void run(){
		//System.out.println("Entering run()@DownloadFile.java " 
		//		+ (new GregorianCalendar()).getTimeInMillis());
		SCPClient scopy = new SCPClient(conn);
		//String message = "Copying files: ";
		//for(String s: remoteFile){
		//	message = s + " \n ";
		//}
		//JFrame downloadingmessage = new JFrame("Downloading");
		//downloadingmessage.getRootPane().add(new JLabel(message));
		//downloadingmessage.pack();
		//downloadingmessage.setVisible(true);
		//System.out.println("Flag1 run()@DownloadFile.java " 
		//		+ (new GregorianCalendar()).getTimeInMillis());
		
		try {
			scopy.get(remoteFile, localFolder);
		} catch (IOException e1) {
			if(ignore == false)
				new ErrorDialog(null, "Error trying copy ["+remoteFile+"] to ["+localFolder+"].\n" +
					"run@DownloadFile.java");
		}
		//System.out.println("Flag2 run()@DownloadFile.java " 
		//		+ (new GregorianCalendar()).getTimeInMillis());
		//downloadingmessage.setVisible(false);
		//System.out.println("Exiting run()@DownloadFile.java " 
		//		+ (new GregorianCalendar()).getTimeInMillis());
	}
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		// TODO Auto-generated method stub

	}

}
